Package: org.gradle.nativeplatform

## [Java] Interface NativeComponentExtension

- The configuration for native components generated by this build.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `executables(Action<? super NamedDomainObjectContainer<? super NativeExecutableSpec>> action)` Configure the NativeExecutableSpec components produced by the build.
    `NamedDomainObjectContainer<NativeExecutableSpec>` | `getExecutables()` The NativeExecutableSpec components produced by the build.
    `NamedDomainObjectContainer<NativeLibrarySpec>` | `getLibraries()` The NativeLibrarySpec components produced by the build.
    `void` | `libraries(Action<? super NamedDomainObjectContainer<? super NativeLibrarySpec>> action)` Configure the NativeLibrarySpec components produced by the build.

- - ### Method Detail

    - #### public void executables(Action<? super NamedDomainObjectContainer<? super NativeExecutableSpec>> action)

      Configure the NativeExecutableSpec components produced by the build.

    - #### public NamedDomainObjectContainer<NativeExecutableSpec> getExecutables()

      The NativeExecutableSpec components produced by the build.

    - #### public NamedDomainObjectContainer<NativeLibrarySpec> getLibraries()

      The NativeLibrarySpec components produced by the build.

    - #### public void libraries(Action<? super NamedDomainObjectContainer<? super NativeLibrarySpec>> action)

      Configure the NativeLibrarySpec components produced by the build.